# Source code for azure.eventgrid.models.app_configuration_key_value_deleted_event_data_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class AppConfigurationKeyValueDeletedEventData(Model):
        """Schema of the Data property of an EventGridEvent for an
        Microsoft.AppConfiguration.KeyValueDeleted event.

        :param key: The key used to identify the key-value that was deleted.
        :type key: str
        :param label: The label, if any, used to identify the key-value that was
         deleted.
        :type label: str
        :param etag: The etag representing the key-value that was deleted.
        :type etag: str
        """

        _attribute_map = {
            'key': {'key': 'key', 'type': 'str'},
            'label': {'key': 'label', 'type': 'str'},
            'etag': {'key': 'etag', 'type': 'str'},
        }

        def __init__(self, *, key: str=None, label: str=None, etag: str=None, **kwargs) -> None:
            super(AppConfigurationKeyValueDeletedEventData, self).__init__(**kwargs)
            self.key = key
            self.label = label
            self.etag = etag